package cn.stylefeng.team.generator.api;

import cn.stylefeng.team.generator.api.enums.GeneratorTypeEnum;
import cn.stylefeng.team.generator.api.pojo.template.BizGeneratorTemplateGroup;
import cn.stylefeng.team.generator.api.pojo.template.GeneratorTemplateGroup;

public interface TemplateGetApi {

    GeneratorTemplateGroup getTemplateGroup(GeneratorTypeEnum generatorTypeEnum);

    String getTemplateContentByResourceId(String resourceId);

    BizGeneratorTemplateGroup getBizBackendTemplateGroup();

}
